/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem A. Addictive Bubbles                                   */
/*                                                                */
/* Original idea         Georgiy Korneev                          */
/* Problem statement     Georgiy Korneev                          */
/* Test set              Georgiy Korneev                          */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Georgiy Korneev                          */
/******************************************************************/

import java.util.*;
import java.io.*;

public class addictive_gk {
    static Scanner in;
    static PrintWriter out;

    void run() {
        int h = in.nextInt();
        int w = in.nextInt();
        int c = in.nextInt();
        char[][] board = new char[h][w];
        int j = 0;
        for (int i = 0; i < c; i++) {
            for (int a = in.nextInt(); a > 0; a--) {
                board[j % h][j / h] = (char) ('1' + i);
                j++;
            }
        }

        for (char[] row : board) {
            out.println(new String(row));
        }
    }


    public static void main(String[] args) throws Exception {
        in = new Scanner(new File("addictive.in"));
        out = new PrintWriter("addictive.out");

        new addictive_gk().run();

        in.close();
        out.close();
    }
}

