(******************************************************************)
(* ACM ICPC 2012-2013                                             *)
(* Northeastern European Regional Contest                         *)
(* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 *)
(******************************************************************)
(* Problem Y. Yield                                               *)
(*                                                                *)
(* Original idea         Standard                                 *)
(* Problem statement     Standard                                 *)
(* Test set              Standard                                 *)
(******************************************************************)
(* Solution                                                       *)
(*                                                                *)
(* Author                Georgiy Korneev                          *)
(******************************************************************)

uses
    sysutils;
const
    max_a = 1000;
var
    a, b: longint;
begin
    assign(input, 'yield.in');  reset(input);
    assign(output, 'yield.out'); rewrite(output);

    read(a, b);
    assert((-max_a <= a) and (a <= max_a), 'A out of range');
    assert((-max_a <= b) and (b <= max_a), 'B out of range');
    writeln(a + b);

    close(input);
    close(output);
end.
