/******************************************************************/
/* ACM ICPC 2012-2013                                             */
/* Northeastern European Regional Contest                         */
/* St Petersburg - Barnaul - Tashkent - Tbilisi, December 2, 2012 */
/******************************************************************/
/* Problem Y. Yield                                               */
/*                                                                */
/* Original idea         Standard                                 */
/* Problem statement     Standard                                 */
/* Test set              Standard                                 */
/******************************************************************/
/* Solution                                                       */
/*                                                                */
/* Author                Roman Elizarov                           */
/******************************************************************/

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.PrintWriter;
import java.util.StringTokenizer;

public class yield_re {
    static final int MAXABS = 1000;

    public static void main(String[] args) throws Exception {
        // Read input
        BufferedReader in = new BufferedReader(new FileReader("yield.in"));
        StringTokenizer st = new StringTokenizer(in.readLine());
        int a = Integer.parseInt(st.nextToken());
        int b = Integer.parseInt(st.nextToken());
        if (Math.abs(a) > MAXABS || Math.abs(b) > MAXABS)
            throw new IllegalArgumentException("a or b are out of range");
        if (st.hasMoreTokens())
            throw new IllegalArgumentException("Extra data on line");
        if (in.readLine() != null)
            throw new IllegalArgumentException("Extra data in file");
        in.close();

        // Write output
        PrintWriter out = new PrintWriter(new FileWriter("yield.out"));
        out.println(a + b);
        out.close();
    }
}

